> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.hive.co/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.hive.co/_mcp/server.

# List custom event properties

GET https://api.hive.co/v2/events/custom-properties/

Reference: https://developers.hive.co/api-reference/hive-api/custom-event-properties/events-custom-properties-retrieve

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `limit` (integer, optional, default: 500)
- `offset` (integer, optional, default: 0)

### Headers

- `X-Partner-Id` (string, required) — Your OAuth application client ID.

## Response

### 200

- `offset` (integer, required)
- `limit` (integer, required)
- `total_items` (integer, required)
- `items` (list of CustomEventProperty, required)

## Errors

### 422 Unprocessable Entity Error

The request was rejected on its query parameters. Field errors are keyed by parameter name, rejections on the parameter values (e.g. an unknown ID) use a flat `errors` list.

- `map from string to any`

## Types

### CustomEventProperty

Every route's definition response. Reads off `PropertyWithValueCount`.

- `id` (integer, required)
- `name` (string, required)
- `value_type` (string, required)
- `created_at` (datetime, required)
- `value_count` (integer, required)

## Examples

**Response**

```json
{
  "offset": 1,
  "limit": 1,
  "total_items": 1,
  "items": [
    {
      "id": 1,
      "name": "string",
      "value_type": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "value_count": 1
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.hive.co/v2/events/custom-properties/"

headers = {
    "X-Partner-Id": "X-Partner-Id",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hive.co/v2/events/custom-properties/';
const options = {
  method: 'GET',
  headers: {'X-Partner-Id': 'X-Partner-Id', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hive.co/v2/events/custom-properties/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Partner-Id", "X-Partner-Id")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hive.co/v2/events/custom-properties/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Partner-Id"] = 'X-Partner-Id'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.hive.co/v2/events/custom-properties/")
  .header("X-Partner-Id", "X-Partner-Id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.hive.co/v2/events/custom-properties/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Partner-Id' => 'X-Partner-Id',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hive.co/v2/events/custom-properties/");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Partner-Id", "X-Partner-Id");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Partner-Id": "X-Partner-Id",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hive.co/v2/events/custom-properties/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```